internal::join_base< N, key_matching_port, OutputTuple, key_matching< K, KHash > > Struct Template Reference

`#include <_flow_graph_join_impl.h>`

Collaboration diagram for internal::join_base< N, key_matching_port, OutputTuple, key_matching< K, KHash > >:

## Public Types

typedef key_matching< K, KHash > | key_traits_type
typedef K | key_type
typedef KHash | key_hash_compare
typedef internal::join_node_base< key_traits_type, typename wrap_key_tuple_elements< N, key_matching_port, key_traits_type, OutputTuple >::type, OutputTuple > | type

## Detailed Description

### template<int N, typename OutputTuple, typename K, typename KHash>
struct internal::join_base< N, key_matching_port, OutputTuple, key_matching< K, KHash > >

Definition at line 1493 of file _flow_graph_join_impl.h.

## Member Typedef Documentation

## key_hash_compare

template<int N, typename OutputTuple , typename K , typename KHash >

typedef KHash internal::join_base< N, key_matching_port, OutputTuple, key_matching< K, KHash > >::key_hash_compare

Definition at line 1496 of file _flow_graph_join_impl.h.

## key_traits_type

template<int N, typename OutputTuple , typename K , typename KHash >

typedef key_matching<K, KHash> internal::join_base< N, key_matching_port, OutputTuple, key_matching< K, KHash > >::key_traits_type

Definition at line 1494 of file _flow_graph_join_impl.h.

## key_type

template<int N, typename OutputTuple , typename K , typename KHash >

typedef K internal::join_base< N, key_matching_port, OutputTuple, key_matching< K, KHash > >::key_type

Definition at line 1495 of file _flow_graph_join_impl.h.

## type

template<int N, typename OutputTuple , typename K , typename KHash >

typedef internal::join_node_base< key_traits_type, typename wrap_key_tuple_elements<N,key_matching_port,key_traits_type,OutputTuple>::type, OutputTuple > internal::join_base< N, key_matching_port, OutputTuple, key_matching< K, KHash > >::type

Definition at line 1500 of file _flow_graph_join_impl.h.

The documentation for this struct was generated from the following file:

- _flow_graph_join_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.